Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5
Marlin adecuado para Arduino Mega 2650+Ramps 1.4
#1
Muy buenas a todos. Soy nuevo en este foro. Gracias por tener tanta paciencia con las personas que empezamos con todo este tema de la electronica con motores paso a paso.
A continuiación expomgo el problema que tengo y a ver si me podéis ayudar.

Me compre ya hace un tiempo una impresora 3D llamada Vellemann k2800 y al poco tiempo se me quemó la placa madre. Compre la Arduino Mega 2650+Ramps 1.4 y necesito un Marlin compatible con motores NEMA17.

Sabéis de algún vídeo tutorial o como configurar paso a paso el Arduino y calibrar los motores paso a paso desde el programa RepetiertHost?

Muchas gracias de antemano chicos!
Citar
#2
Mírate los vídeos de Overcraft3D: https://www.youtube.com/watch?v=KUGuKDVhkDM

En la descripción del vídeo tienes un enlace al Marlin, pero no sé si es el último o qué.

Me mola mucho ese tipo de impresora, la verdad.

Saludos!
Ulticampy V2: fundiendo plástico sin descanso...
Citar
#3
Yo he encontrado este. Tiene hasta la versión 1.6.X
https://github.com/MarlinFirmware/Marlin
Citar
#4
a eso me refiero: Release Candidate -- Marlin 1.1.0-RC6 - 24 April 2016

Not for production use – use with caution!

Es una Candidata a versión final (RC), pero dice claramente que no se use en producción, Yo no la meto ni loco. Esa versión está para los desarrolladores, betatester y gente que colabora directamente en el proyecto, están al día de los cambios que hacen y saben como testearlos.

Para usuarios finales no es.

En esa página, si te vas a la WIKI comenta:
This wiki describes official Release versions of Marlin, currently Version 1.0.2-1 <<<<<<<<<<<<<< ahí viene el enlace para descargar ese Marlin versión oficial que data de 30 May 2015 y es la última versión estable.

Edito: Ese 1.6.x me suena a que es la versión de Arduino, no confundas, El programa Arduino es el que permite compilar el Marlin y subirlo a la Impresora. Yo uso el Arduino 1.0.5 ó 1.0.6, con las últimas versiones Marlin no compilaba.


Saludos
Ulticampy V2: fundiendo plástico sin descanso...
Citar
#5
Icon_redface Ah, lo siento, no lo sabía.Icon_redface
PD: La versión de Arduino que tengo es la 1.6.7, para probar el Serial Plotter, por eso puse esa, porque esta https://github.com/ErikZalm/Marlin que sale en el video de Overcraft tiene hasta la 1.5.X. Lo siento si te he confundido @EbnalMacGyver .
Citar
#6
Yo uso la 1.1.0 RC5 en tres impresoras y funciona fenomenal.


Enviado desde mi iPad utilizando Tapatalk
Citar
#7
Bueno, aunque no soy EbnalMacGyver, me doy por aludido.

No pasa ná hombre, no sería la primera vez (ni la última) que me equivoco yo jajaja. Aquí todos estamos para aprender.

En ese enlace que has puesto, dicen que "Marlin" se ha movido de github, o sea, que ese no lo actualizarán más. Puede que haya varias ramas de Marlin y efectivamente haya una versión 1.5.x ó 1.6.x, no me extrañaría jejeje. Yo me quedo con la oficial de momento.

Saludos!
Ulticampy V2: fundiendo plástico sin descanso...
Citar


Temas similares...
Tema Autor Respuestas Vistas Último mensaje
  exit status 1 Error compilando para la tarjeta Arduino/Genuino Uno fcojavier 8 2,408 24-10-2018, 02:48 AM
Último mensaje: edmundo
  CONSULTA Re: Arduino Mega, 1 servo ,1 nema, 3 motor DC carlos hop 8 396 26-09-2018, 01:30 PM
Último mensaje: Shellmer
  CONSULTA RE: Problema con marlin Vicente48 3 185 13-09-2018, 11:37 AM
Último mensaje: BlackBit
  CONSULTA Problema con marlin Vicente48 0 121 27-08-2018, 04:00 PM
Último mensaje: Vicente48
  DUDA Problema con marlin Vicente48 1 175 10-08-2018, 09:31 PM
Último mensaje: Bayaz